Bug 1165280 (CVE-2014-7850) - CVE-2014-7850 freeipa: XSS flaw can be used to escalate privileges
Summary: CVE-2014-7850 freeipa: XSS flaw can be used to escalate privileges
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-7850
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1165773 1165774 1165856
Blocks: 1162456
TreeView+ depends on / blocked
 
Reported: 2014-11-18 18:00 UTC by Vincent Danen
Modified: 2021-02-17 05:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-18 05:46:38 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-11-18 18:00:42 UTC
An XSS flaw was reported in FreeIPA 4.x that could allow an administrator with lower privileges (such as sudo rights) to escalate their privileges to full administrator.

Earlier versions of FreeIPA/IPA do not suffer from this flaw.

Statement:

This issue did not affect the versions of IPA as shipped with Red Hat Enterprise Linux 6 or 7 as they do not include the vulerable Web UI code.

Comment 2 Vincent Danen 2014-11-19 18:24:48 UTC
The upstream ticket for this report:

https://fedorahosted.org/freeipa/ticket/4742

Comment 3 Vincent Danen 2014-11-19 21:21:33 UTC
Created freeipa tracking bugs for this issue:

Affects: fedora-all [bug 1165856]


Note You need to log in before you can comment on or make changes to this bug.